require 'acts_as_blogger/base'

module Bloggybak
  class Engine < Rails::Engine
    initializer "bloggybak.extend_app_helper" do |app|
      ApplicationController.class_eval do
        helper :bloggybak
      end
    end

    initializer "bloggybak.rails_admin_config" do |app|
      # RailsAdmin config file. Generated on December 21, 2011 13:04
      # See github.com/sferik/rails_admin for more informations

      RailsAdmin.config do |config|
        config.model Bloggybak::Post do
          navigation_label "Blog"
          weight 4
          list do
            field :title
          end
          edit do
            field :title
            field :slug
            field :user
            field :content, :text do
              ckeditor true
            end
          end
        end
      end
    end
  end
end
